Subject: Lesstif, X11 and DDD
From: [email-masked] (Francois Felix Ingrand)

10 Feb 1998 20:44:04 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Smith, Martin writes:
>I am trying to compile DDD but need Lesstif first. However, when running
>./configure, I get the following message:-
>
>checking for X... libraries /usr/X11/lib, headers /usr/X11/include
>checking for Xt Revision Number 6... no
>checking for Xt Revision Number 5... no
>configure: error: You must have X11 Revision 5 or higher to compile
>Lesstif
>bash.exe-2.01$
>
>I do have Intrinsic.h and the X11 headers in /usr/X11R6.3/include/X11
>(this seems to be what configure is looking for). I thought I may be
>missing a symlink and tried linking X11 to /usr/X11R6.3 but this didn't
>help. I suspect that (as usual) it'll be something simple but I will be
>happy if someone can point it out to me all the same !

you have to call configure with:
--x-libraries and --x-includes pointing to the proper place
*and*
make sure that your xmkmf (which is a script) is in your path and works fine
(it may not work because of these pesky text!=binary issues, in which case,
getr gsar and call gsar -o -du xmkmf)

>By the way, any further thoughts/progress on making this mailing list a
>newsgroup and/or adding a search engine to the archive pages ? Either
>would be most helpful !

I second that, a WebGlimpse search would be fantastic...
--
			Felix

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".